<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>About Ontopia</title>
<link rel="stylesheet" type="text/css" href="frontpage.css">

<meta http-equiv="Content-Type" content="text/html;charset=utf-8">
</head>

<body>

  <div id="header">
    <table width="100%" cellspacing="0" cellpadding="0" border="0">
      <tbody>
        <tr>
          <!-- this image is transparent, but needed for the layout. the text is
               really part of the background -->
          <td class="topLinks"><img src="background.gif"
            width="550" height="86"><br></td>
          <td align="right" valign="top">
            <div id="oksmenu">
              <a href="/">Home</a>&nbsp;|&nbsp;<a href="/manage/manage.jsp">Manage</a>&nbsp;|&nbsp;<a href="http://www.ontopia.net/">Website</a>&nbsp;|&nbsp;<a href="http://www.ontopia.net/support/supportform.html">Support</a>&nbsp;|&nbsp;<a href="about.jsp">About</a>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
  <div id="contentarea">
    <div id="inner-contentarea">
      <div id="sub-header">
        <h1>About Ontopia</h1>
      </div>

<p>In this web interface you can access Ontopoly and the Omnigator,
which are end-user tools built using Ontopia.</p>

<p>Ontopia is an open source application development platform for
Topic Maps. It is the most comprehensive suite of Topic Maps tools
available, and consists of a number of interrelated products that
address every aspect of the Topic Maps project life cycle, including
topic map creation (both automated and manual), validation,
maintenance, storage, querying and end-user delivery.</p>

<p>The core component is the Engine, an easy-to-use SDK for Java
developers.</p>

<p>Built on top of this, the Navigator and Web Editor Frameworks allow
web developers to create powerful applications, like Ontopoly and the
Omnigator, without the need for Java programming. A number of
configurable utilities support the autogeneration of topic maps. An API
and a web services interface ensure easy integration with existing
systems.</p>

<p align="center"><img src="ontopia-diagram.png"/></p>

<h4>Ideal for integrators and OEMs</h4>

<p>Ontopia is the tool of choice for systems integrators. Its flexible
and powerful Topic Maps model enables the rapid development of complex
systems. Using Ontopia, integrators can create representations of
diverse information and knowledge models and then access and manipulate
them with a common tool set and query language.</p>

<p>The Topic Maps paradigm supported by Ontopia enables connections to
be made to and from a variety of data sources. Its extensible nature
means that new data sources can easily be integrated without a need to
change the delivery or processing application.</p>

<p>Ontopia also implements the concept of semantic identity that is the
single most unique feature of the Topic Maps model. This powerful
concept enables integrators to easily integrate and unify information
around a central set of core subjects.</p>

<h4>Key features:</h4>

<ul>
<li>Load topic maps from XML and RDF documents, store topic maps in
databases, access and modify any aspect of any topic map.</li>
<li>Single consistent, intuitive and scalable API used regardless of
where the topic map is stored (e.g., in-memory, in a database, or as a
virtual view).</li>
<li>Full support for importing, exporting, accessing and modifying
ontologies, and for validating topic maps.</li>
<li>J2EE-compliant toolkits enable easy development and deployment of
browsing and editing applications.</li>
<li>Powerful semantic query engine permits structured search, simplified
application development and excellent performance.</li>
<li>Persistent and scalable storage of topic maps in relational
databases, including Oracle and PostgreSQL.</li>
<li>Full internationalization, support for all character encodings.</li>
<li>Automated test suite for quick and easy testing of the engine in new
environments.</li>
<li>Platform: Written in pure Java; runs on any platform that has JDK
1.5 (or higher) environment.</li>
<li>Operating Systems: Windows (98, 2000 and XP), Linux (RedHat, SuSE
and Debian) and SunSolaris.</li>
</ul>

    </div>
  </div>

  <div id="footer">
    <table width="99%" border="0" cellpadding="0" cellspacing="0"
      id="footerTable">
      <tr>
        <td>Copyright &copy; 2001-2010 <a href="http://www.ontopia.net/">Ontopia
        AS</a>.</td>
        <td align="right"><b>*</b> built using <a
          href="http://www.ontopia.net/">Ontopia</a>.</td>
      </tr>
    </table>
  </div>

</body>
</html>
